
QGIS Application - Bug report #14448

Offset curve tools duplicate lines

2016-03-09 06:35 AM - Sergio Gollino

Status: Closed

Priority: High

Assignee:

Category: Digitising

Affected QGIS version:2.18.18 Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:Yes Copied to github as #: 22426

Description

Offset curve tool very frequently duplicate the last line created instead to make a new curve. The tool looks like work correctly, you can

set the distance of the curve but when you close the operation the line disappear and you can see that he has duplicated another line (the

one created before). Restarting qgis solves the problem but after some new curves created with the tool, the problem apears again.

Tested on QGIS 2.14.0 x64. W7

History

#1 - 2016-03-09 10:57 AM - salvatore fiandaca

video demonstration and steps to reproduce it

http://1drv.ms/1LRvZxi

#2 - 2016-04-09 09:45 AM - Giovanni Manghi

- Category set to Digitising

#3 - 2016-11-23 05:12 AM - Regis Haubourg

- Assignee set to Martin Dobias

- Priority changed from Normal to Severe/Regression

Yes confirmed here. When looking at the logs on postgis side, the offset tool sends the wrong id, so it updates another feature.  

It causes data corruption so I raise the priority of this one.

#4 - 2016-11-23 06:28 AM - Martin Dobias

- Assignee deleted (Martin Dobias)

#5 - 2017-01-04 10:38 PM - Giovanni Manghi

- Crashes QGIS or corrupts data changed from No to Yes

#6 - 2017-02-28 03:57 AM - Giovanni Manghi

- Status changed from Open to Feedback

- Priority changed from Severe/Regression to High

Regis Haubourg wrote:
http://1drv.ms/1LRvZxi


Yes confirmed here. When looking at the logs on postgis side, the offset tool sends the wrong id, so it updates another feature.  

It causes data corruption so I raise the priority of this one.

I just tested on 2.18.4 with shapes and postgis and while a few times didn't worked as expected (it just reverted to the original line) the vast majority of tries

produced the expected result.

Please try 2.18.4 and report back. I'm lowering the priority to "high" because I'm not sure this has ever been a regression.

#7 - 2017-04-29 05:38 AM - Giovanni Manghi

- Resolution set to not reproducable

- Status changed from Feedback to Closed

Closing for lack of feedback, please reopen if necessary.

#8 - 2018-04-23 10:17 AM - Damiano Geppini

We found the problem in QGIS 2.18.19 and it is related to saving:

We use two layers, we do not create the offset-vector in the original layer, but in a new one:

Layer 1 is the base layer (with vector-A, vector-B, etc..)

Layer 2 is the layer for offset (with offset-vector-A, offset-vector-B, etc..)

1) Use "Offset Curve" on vector-A

2) It creates an offset-vector-A (in layer 2)

3) Save

4) Use "Offset Curve" on vector-B

5) It creates an offset-vector-A's duplicate (in layer 2)

6) Use "Offset Curve" on vector B again

7) It creates an offset-vector-B in the new correct position (in layer 2)

In other words, if you save between an offset and another, when you try to use "Offset Curve" again, the first time it creates a duplicate of last offset-vector

created, the second time it creates the new correct offset-vector.

P.S. In QGIS 2.8 it worked without problems.

#9 - 2018-04-23 11:50 AM - Harrissou Santanna

- Description updated

- Status changed from Closed to Reopened

- Regression? changed from No to Yes

- Resolution deleted (not reproducable)

Set as regression given that it seems to work in 2.8

#10 - 2018-04-23 11:50 AM - Harrissou Santanna

- Affected QGIS version changed from 2.14.0 to 2.18.18
#11 - 2018-09-18 08:34 AM - Nyall Dawson

- Status changed from Reopened to Feedback

Is this still an issue in 3.2.3? I can't reproduce.

#12 - 2019-02-23 08:36 PM - Jürgen Fischer

- Resolution set to no timely feedback

- Status changed from Feedback to Closed

Bulk closing 82 tickets in feedback state for more than 90 days affecting an old version.  Feel free to reopen if it still applies to a current version and you

have more information that clarify the issue.
